require 'spec_helper'

describe BeanstalkFarmer::DSL do
  let(:handler_pool) { Hash.new }

  subject { described_class.new(handler_pool) }

  describe '#intialize' do
    its(:handler_pool) { should == handler_pool }
  end

  describe '#tube' do
    let(:tube_name) { 'my_tube' }
    let(:handler)   { Proc.new { |args| args } }

    it 'adds a handler to the pool for the named tube' do
      subject.tube(tube_name, handler)
      subject.handler_pool[tube_name].should == handler
    end

    it 'accepts a block argument to define a handler' do
      subject.tube(tube_name) { |args| args }
      subject.handler_pool[tube_name].should be_a(Proc)
    end
  end
end
